Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 11 Apr 2023 05:51:40 +0000 (UTC)

Hi Yashi Gupta,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi Team,

It has been more than a month that I returned Celeste Sandal worth aed169 and I have been raising this multiple times on chat. Firat only once a persin responded and said he will get back to me but he did not. Other times no response on chat. Please let me know how will I get refund https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6035386